ApiPayIns
class ApiPayIns extends ApiBase (View source)
Class to management MangoPay API for pay-ins
Properties
| protected MangoPayApi | $_root | Root/parent instance that holds the OAuthToken and Configuration instance |
from ApiBase |
Methods
Constructor Root/parent instance that holds the OAuthToken and Configuration instance
Create object in API
No description
Get entity object from API
Get entity object from API endpoint that has a lot of query params
Get entity object from API on a request path that contains pagination and other query params
Get lst with entities object from API
Save object in API
Does the same thing as SaveObject above, but keeps natural order of provided entity ids when building the URL
Executes a POST request
Cast response object to entity object
Create refund for pay-in object
Create a recurring payment
Get recurring payment
Update recurring payment
Create a Recurring PayIn CIT
Create a Recurring PayIn MIT
Create a Recurring PayPal PayIn CIT
Create a Recurring PayPal PayIn MIT
Retrieves a list of Refunds pertaining to a certain PayIn
Retrieves a more detailed view of details concerning the card used to process a Web payment.
Create Card PreAuthorized Deposit PayIn
Create a Deposit Preauthorized PayIn without complement
Create a Deposit Preauthorized PayIn prior to complement
Create a Deposit Preauthorized PayIn complement
Look up metadata from BIN or Google Pay token
Create a Payconiq Web PayIn using the latest API url (payins/payment-methods/payconiq)
Create a pay in intent authorization
Create a pay in intent authorization
Get a pay in intent
Cancel a pay in intent
Create Intent splits
Execute split
Reverse split
Get split
Create a pay in intent refund (full or partial)
Reverse a pay in intent refund (fully or partial)
Retrieve a paginated list of banks that you can present to the user for selection during their Pay by Bank checkout experience
Send key pre-transaction data such as order details, buyer information, and merchant context before initiating a PayPal payment
Send key pre-transaction data such as order details, buyer information, and merchant context before initiating a PayPal payment
Create a PayInIntentDispute (full or partial)
Update PayInIntentDispute outcome
Details
protected mixed
getLogger()
No description
__construct(MangoPayApi $root)
Constructor Root/parent instance that holds the OAuthToken and Configuration instance
protected string
GetRequestUrl(string $key)
Get URL for REST Mango Pay API
protected RequestType
GetRequestType(string $key)
Get request type for REST Mango Pay API
protected
GetApiVersion($key)
No description
protected object
CreateObject(string $methodKey, object $entity, object $responseClassName = null, string $entityId = null, $subEntityId = null, $idempotencyKey = null)
Create object in API
protected object
CreateOrUpdateMultipartObject(string $methodKey, string $file, string $fileName, string $responseClassName = null, string $entityId = null, string $idempotencyKey = null)
No description
protected object
GetObject(string $methodKey, object $responseClassName, $firstEntityId = null, $secondEntityId = null, $thirdEntityId = null, $clientIdRequired = true)
Get entity object from API
protected object
GetObjectManyQueryParams(string $methodKey, object $responseClassName, ...$queryParams)
Get entity object from API endpoint that has a lot of query params
protected object
GetObjectWithPagination(string $methodKey, object $responseClassName, $pagination = null, $filter = null, $entityId = null, $clientIdRequired = true)
Get entity object from API on a request path that contains pagination and other query params
protected object[]
GetList(string $methodKey, Pagination $pagination, object $responseClassName = null, string $entityId = null, object $filter = null, Sorting $sorting = null, $secondEntityId = null, $clientIdRequired = true)
Get lst with entities object from API
protected object
SaveObject(string $methodKey, object $entity, object $responseClassName = null, $secondEntityId = null, $thirdEntityId = null)
Save object in API
protected
UpdateObject($methodKey, $entity, $responseClassName = null, $firstEntityId = null, $secondEntityId = null, $thirdEntityId = null)
Does the same thing as SaveObject above, but keeps natural order of provided entity ids when building the URL
protected
DeleteObject($methodKey, $entity, $responseClassName = null)
No description
protected object
ExecutePostRequest(mixed $methodKey, mixed $entity, mixed $responseClassName, mixed $entityId = null, $idempotency_key = null)
Executes a POST request
protected Error
CastResponseToError(object $response)
Cast response object to an error object
protected
CastResponseToEntity($response, $entityClassName, $asDependentObject = false)
Cast response object to entity object
protected array
BuildRequestData(object $entity)
Get array with request data
protected
GetObjectForIdempotencyUrl($url)
No description
PayIn
Get(string $payInId)
Get pay-in object
Refund
CreateRefund(string $payInId, Refund $refund, $idempotencyKey = null)
Create refund for pay-in object
PayInRecurringRegistrationRequestResponse
CreateRecurringRegistration(PayInRecurringRegistration $recurringRegistration, $idempotencyKey = null)
Create a recurring payment
PayInRecurringRegistrationGet
GetRecurringRegistration(string $recurringRegistrationId, $idempotencyKey = null)
Get recurring payment
PayInRecurringRegistrationGet
UpdateRecurringRegistration(PayInRecurringRegistrationUpdate $recurringUpdate, $idempotencyKey = null)
Update recurring payment
PayInRecurring
CreateRecurringPayInRegistrationCIT(RecurringPayInCIT $recurringPayInRegistrationCIT, $idempotencyKey = null)
Create a Recurring PayIn CIT
PayInRecurring
CreateRecurringPayInRegistrationMIT(RecurringPayInMIT $recurringPayInRegistrationMIT, $idempotencyKey = null)
Create a Recurring PayIn MIT
PayInRecurring
CreateRecurringPayPalPayInCIT(RecurringPayPalPayInCIT $recurringPayPalPayInCIT, $idempotencyKey = null)
Create a Recurring PayPal PayIn CIT
PayInRecurring
CreateRecurringPayPalPayInMIT(RecurringPayPalPayInMIT $recurringPayPalPayInMIT, $idempotencyKey = null)
Create a Recurring PayPal PayIn MIT
Refund[]
GetRefunds(string $payInId, Pagination $pagination = null, FilterRefunds $filter = null, Sorting $sorting = null)
Retrieves a list of Refunds pertaining to a certain PayIn
PayInWebExtendedView
GetExtendedCardView(string $payInId)
Retrieves a more detailed view of details concerning the card used to process a Web payment.
PayIn
CreateCardPreAuthorizedDepositPayIn(CreateCardPreAuthorizedDepositPayIn $payIn)
Create Card PreAuthorized Deposit PayIn
PayIn
CreateDepositPreauthorizedPayInWithoutComplement(CreateCardPreAuthorizedDepositPayIn $payIn)
Create a Deposit Preauthorized PayIn without complement
PayIn
CreateDepositPreauthorizedPayInPriorToComplement(CreateCardPreAuthorizedDepositPayIn $payIn)
Create a Deposit Preauthorized PayIn prior to complement
PayIn
CreateDepositPreauthorizedPayInComplement(CreateCardPreAuthorizedDepositPayIn $payIn)
Create a Deposit Preauthorized PayIn complement
PayIn
CreateGooglePay(PayIn $payIn, $idempotencyKey = null)
Create new GooglePay Direct pay-in object
PaymentMethodMetadata
GetPaymentMethodMetadata(PaymentMethodMetadata $paymentMethodMetadata, $idempotencyKey = null)
Look up metadata from BIN or Google Pay token
AddPayPalTrackingInformation($payId, PayPalWebTracking $palWebTracking)
No description
PayIn
CreatePayconiq(PayIn $payIn, $idempotencyKey = null)
Create a Payconiq Web PayIn using the latest API url (payins/payment-methods/payconiq)
PayInIntent
CreatePayInIntentAuthorization(PayInIntent $payInIntentAuthorization, $idempotencyKey = null)
Create a pay in intent authorization
PayInIntent
CreatePayInIntentCapture(string $intentId, PayInIntent $payInIntentCapture, $idempotencyKey = null)
Create a pay in intent authorization
PayInIntent
GetPayInIntent(string $intentId)
Get a pay in intent
PayInIntent
CancelPayInIntent(string $intentId, PayInIntent $details, string|null $idempotencyKey = null)
Cancel a pay in intent
IntentSplits
CreatePayInIntentSplits(string $intentId, IntentSplits $splits, $idempotencyKey = null)
Create Intent splits
PayInIntentSplit
ExecutePayInIntentSplit(string $intentId, string $splitId, $idempotencyKey = null)
Execute split
PayInIntentSplit
ReversePayInIntentSplit(string $intentId, string $splitId, $idempotencyKey = null)
Reverse split
PayInIntentSplit
GetPayInIntentSplit(string $intentId, string $splitId)
Get split
PayInIntentSplit
UpdatePayInIntentSplit(string $intentId, PayInIntentSplit $split)
Execute split
PayInIntent
CreatePayInIntentRefund(string $intentId, PayInIntent $payInIntentRefund, $idempotencyKey = null)
Create a pay in intent refund (full or partial)
PayInIntent
ReversePayInIntentRefund(string $intentId, string $refundId, PayInIntent $payInIntentRefund, $idempotencyKey = null)
Reverse a pay in intent refund (fully or partial)
PayByBankSupportedBank
GetPayByBankSupportedBanks(Pagination $pagination = null, FilterSupportedBanks $filter = null)
Retrieve a paginated list of banks that you can present to the user for selection during their Pay by Bank checkout experience
stdClass
CreatePayPalDataCollection(stdClass $dataCollection, string $idempotencyKey = null)
Send key pre-transaction data such as order details, buyer information, and merchant context before initiating a PayPal payment
Since the fields needed by PayPal are dynamic and can change, the method expects a stdClass as payload
stdClass
GetPayPalDataCollection(string $dataCollectionId, $idempotencyKey = null)
Send key pre-transaction data such as order details, buyer information, and merchant context before initiating a PayPal payment
PayInIntent
CreatePayInIntentDispute(string $intentId, string $captureId, PayInIntent $payInIntentDispute, $idempotencyKey = null)
Create a PayInIntentDispute (full or partial)
PayInIntent
UpdatePayInIntentDisputeOutcome(string $intentId, string $captureId, string $disputeId, PayInIntent $disputeOutcome)
Update PayInIntentDispute outcome